ch.qos.logback.core.joran.action

## Class NestedBasicPropertyIA

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.action.Action
    - - ch.qos.logback.core.joran.action.ImplicitAction
      - - ch.qos.logback.core.joran.action.NestedBasicPropertyIA

All Implemented Interfaces:
  ContextAware

    public class NestedBasicPropertyIA
    extends ImplicitAction

This action is responsible for tying together a parent object with one of its simple properties specified as an element but for which there is no explicit rule.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`NestedBasicPropertyIA()`

### Method Summary

Methods
`void` `begin(InterpretationContext ec, java.lang.String localName, org.xml.sax.Attributes attributes)` Called when the parser encounters an element matching a `Pattern`.
`void` `body(InterpretationContext ec, java.lang.String body)` Called to pass the body (as text) contained within an element.
`void` `end(InterpretationContext ec, java.lang.String tagName)`
`boolean` `isApplicable(ElementPath elementPath, org.xml.sax.Attributes attributes, InterpretationContext ec)` Check whether this implicit action is appropriate in the current context.

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NestedBasicPropertyIA

    public NestedBasicPropertyIA()

### Method Detail

#### isApplicable

    public boolean isApplicable(ElementPath elementPath,
                       org.xml.sax.Attributes attributes,
                       InterpretationContext ec)

Description copied from class: `ImplicitAction`
Check whether this implicit action is appropriate in the current context.

Specified by:
  `isApplicable` in class `ImplicitAction`
Parameters:
  `elementPath` - This pattern contains the tag name of the current element being parsed at the top of the stack.
  `attributes` - The attributes of the current element to process.
Returns:
  Whether the implicit action is applicable in the current context

#### begin

    public void begin(InterpretationContext ec,
             java.lang.String localName,
             org.xml.sax.Attributes attributes)

Description copied from class: `Action`
Called when the parser encounters an element matching a `Pattern`.

Specified by:
  `begin` in class `Action`

#### body

    public void body(InterpretationContext ec,
            java.lang.String body)

Description copied from class: `Action`
Called to pass the body (as text) contained within an element.

Overrides:
  `body` in class `Action`

#### end

    public void end(InterpretationContext ec,
           java.lang.String tagName)

Specified by:
  `end` in class `Action`